aboutsummaryrefslogtreecommitdiff
path: root/files/translation_migration.sh
diff options
context:
space:
mode:
Diffstat (limited to 'files/translation_migration.sh')
-rw-r--r--files/translation_migration.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/files/translation_migration.sh b/files/translation_migration.sh
new file mode 100644
index 00000000..bf5a33ca
--- /dev/null
+++ b/files/translation_migration.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+cd ..
+
+current=${PWD##*/}
+
+if [ "$current" != "Frost-for-Facebook" ]; then
+ echo "Not in Frost";
+ return;
+fi
+
+declare -a folders=("es" "fr" "de")
+
+cd app/src/main/res
+
+for d in $(find ./values-* -type d) ; do
+ key=$(echo $d | cut -d '-' -f2)
+
+ if ! [[ ${folders[*]} =~ "$key" ]]; then
+ rm -r "$d"
+ else
+ mv "$d" "./values-$key"
+ fi
+done \ No newline at end of file